Retrieves a cost/use summary for a specific budget version, optionally filtered by commodity
Use this endpoint to get period-level budget totals. Pass commodityId to view summary for a single commodity.
Omit commodityId to get the aggregated summary across all commodities.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| budgetId | Unique numeric identifier of the budget | integer (int32) | Required |
| versionId | Unique numeric identifier of the version | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| commodityId | Optional commodity ID to filter the summary; omit for all commodities | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BudgetVersionSummaryResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| budgetVersion | BudgetVersionResponse | |||||||||||||||||||||||||||||||||||||||||||||||||
|
BudgetVersionResponse properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| dataDetails | The data details | BudgetVersionSummary[] | ||||||||||||||||||||||||||||||||||||||||||||||||
|
BudgetVersionSummary properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| total | BudgetVersionSummary | |||||||||||||||||||||||||||||||||||||||||||||||||
|
BudgetVersionSummary properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "budgetVersion": { "active": false, "budgetId": 1, "budgetVersionId": 1, "budgetVersionInfo": "string", "hasBeenModified": false, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-06-29", "notes": "string", "totalBudget": 1.0, "versionNumber": 1
}, "dataDetails": [
{ "averageUnitCost": 1.0, "cost": 1.0, "period": 1, "use": { "unit": {}, "value": 1.0
}
}
], "total": { "averageUnitCost": 1.0, "cost": 1.0, "period": 1, "use": { "unit": {}, "value": 1.0
}
}
}